# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models
from django.conf import settings


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='PaymentForm',
            fields=[
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('status', models.IntegerField(default=1, null=True, verbose_name='Status', choices=[(0, 'Inactive'), (1, 'Active')])),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('code', models.CharField(max_length=25, serialize=False, verbose_name='code', primary_key=True)),
                ('name', models.CharField(unique=True, max_length=100, verbose_name='name', db_index=True)),
                ('description', models.TextField(verbose_name='description', blank=True)),
                ('fee', models.DecimalField(default=0, verbose_name='fee', max_digits=9, decimal_places=2)),
                ('discount', models.DecimalField(default=0, verbose_name='discount', max_digits=9, decimal_places=2)),
                ('creator', models.ForeignKey(related_name='payment_paymentform_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('last_modifier', models.ForeignKey(related_name='payment_paymentform_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
            ],
            options={
                'ordering': ('code',),
                'verbose_name': 'payment form',
                'verbose_name_plural': 'payment forms',
            },
        ),
        migrations.CreateModel(
            name='PaymentInstallment',
            fields=[
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('status', models.IntegerField(default=1, null=True, verbose_name='Status', choices=[(0, 'Inactive'), (1, 'Active')])),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('code', models.CharField(max_length=35, serialize=False, verbose_name='code', primary_key=True, blank=True)),
                ('name', models.CharField(db_index=True, unique=True, max_length=110, verbose_name='name', blank=True)),
                ('description', models.TextField(verbose_name='description', blank=True)),
                ('amount', models.IntegerField(default=100, verbose_name='amount %')),
                ('days', models.IntegerField(default=0, verbose_name='days')),
                ('end_month', models.BooleanField(default=False, db_index=True, verbose_name='end month')),
                ('days_end_month', models.IntegerField(default=0, verbose_name='days after end month')),
                ('discount', models.DecimalField(default=0.0, verbose_name='discount %', max_digits=4, decimal_places=2)),
                ('fee', models.DecimalField(default=0.0, verbose_name='fee %', max_digits=4, decimal_places=2)),
                ('creator', models.ForeignKey(related_name='payment_paymentinstallment_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('last_modifier', models.ForeignKey(related_name='payment_paymentinstallment_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('payment_form', models.ForeignKey(related_name='installments', verbose_name='payment form', to='payment.PaymentForm')),
            ],
            options={
                'ordering': ('code',),
                'verbose_name': 'payment installment',
                'verbose_name_plural': 'payment installments',
                'permissions': (('view_paymentinstallment', 'Can view payment installment'),),
            },
        ),
    ]
